<ion-modal-view  view-title="Comentários" align-title="center">
    <div ng-show="!showAddComment">
        <ion-header-bar class="fix-buttons custom-bar">
            <a ng-click="closeModal(1)">
                <i class="icon ion-chevron-left"></i>
            </a>
            <div class="title title-center header-item" style="transition-duration: 0ms; transform: translate3d(0px, 0px, 0px); left: 25px; right: 25px;">Comentários</div>
        </ion-header-bar>
        <ion-content class="list product edit create comments" style="height:{{iframeHeight}}px !important;display:block !important;">
            <ion-list>
                <ion-item class="item-remove-animate item-avatar item-icon-right list-item" ng-repeat="comment in commentsArray" type="item-text-wrap">
                    <div class="row">
                        <div class="col col-20 profile-picture">
                            <div ng-if="comment.profile_pic" style="background-position: center;background-size: cover; background-image: url('{{photo_baseurl}}services/imageProfileReader.php?image={{comment.profile_pic}}');"></div>
                            <div ng-if="!comment.profile_pic" style="background-position: center;background-size: cover; background-image: url('img/emptyavatar.jpg');"></div>
                        </div>
                        <div class="col col-80">
                            <h2>{{comment.user_name}}</h2>
                            <span>{{comment.comment_date}}</span>
                            <p>{{comment.comment_text}}</p>
                        </div>
                    </div>
                </ion-item>
                <ion-item class="item-remove-animate item-avatar item-icon-right list-item" ng-show="!commentsArray.length" type="item-text-wrap">
                    <div class="row">
                        <div class="col">
                            <p>Não há comentários para essa publicação, que tal ser o primeiro? :)</p>
                        </div>
                    </div>
                </ion-item>

            </ion-list>
        </ion-content>

    </div>


</ion-modal-view>
<div class="addComment">
    <form name="" novalidate ng-submit="addComment(comment_text);comment_text='';">
        <div class="row">
            <div class="col col-80">
                <textarea name="comment" id="comment" ng-model="comment_text" required placeholder="O que você gostaria de comentar?"></textarea>
            </div>
            <div class="col col-20">
                <button  type="submit"><i ng-class="{'hasText': comment_text.length > 0}"  class="ion-android-send"></i></button>
            </div>
        </div>
    </form>
</div>